predict.lqs {lqs} | R Documentation

## Predict from an lqs Fit

### Description

Predict from an resistant regression fitted by `lqs`.

### Usage

    predict.lqs(object, newdata)

### Arguments

`object` | object inheriting from class `lqs`
`newdata` | matrix or data frame of cases to be predicted or, if object has a formula, a data frame with columns of the same names as the variables used. A vector will be interpreted as a row vector. If `newdata` is missing, an attempt will be made to retrieve the data used to fit the `lqs` object.

### Details

This function is a method for the generic function `predict()` for class `lqs`. It can be invoked by calling `predict(x)` for an object `x` of the appropriate class, or directly by calling `predict.lqs(x)` regardless of the class of the object.

Missing values in `newdata` are handled by returning `NA` if the linear discriminants cannot be evaluated. If `newdata` is omitted and the `na.action` of the fit omitted cases, these will be omitted on the prediction.

### Value

A vector of predictions.

### Author(s)

B.D. Ripley

### See Also

`lqs`

### Examples

    data(stackloss)
    set.seed(123)
    fm <- lqs(stack.loss ~ ., data = stackloss, method = "S", nsamp = "exact")
    predict(fm, stackloss)

[Package Contents]